Docs
Previews

List your preview links

GET/preview-sessionsNeedscontent.view

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Query Parameters

includeInactive?"1"

Include expired and revoked links.

Value in"1"
contentType?string

Only links covering this item (with contentId).

Value in"tour""tooltip""banner""checklist""survey""announcement"
contentId?integer

The item's id.

Response Body

OK

application/json
  1. response
sessions*array<>
Shell
curl -X GET 'https://app.cueston.com/api/preview-sessions'
Example Response
JSON
{
  "sessions": [
    {
      "id": "string",
      "scope": "view",
      "contentRefs": [
        {
          "type": "tour",
          "id": 42
        }
      ],
      "traits": {},
      "locale": "de-DE",
      "expiresAt": "2026-10-26T09:30:00Z",
      "revokedAt": "2026-10-26T09:30:00Z",
      "lastUsedAt": "2026-10-26T09:30:00Z",
      "createdAt": "2026-10-26T09:30:00Z",
      "status": "active"
    }
  ]
}